<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .contenedor{
            border: 1px solid;
            height: 600px;
        }
        img{
            position: relative;
        }
        #estrellita{
            top: 294px;
            left: 38px;
        }
        #fontanero{
            top: 446px;
            right: 52px;
        }
    </style>
</head>
<body>
    <div class="contenedor">
            <img id="estrellita" src="estrella.jpg">          
            <img id="fontanero" src="super mario.png">
    </div>
    <footer>
        <h3>Para mover usa las teclas izquierda, derecha y z para lanzar</h3>
    </footer>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $(document).keydown(function(tecla){                
                // Aqui va el codigo del "juego de Mario"
                //alert(tecla.key)
                switch(tecla.key){
                    case "ArrowRight":
                        $('img').animate({left:"+=100px"},500)
                        break;

                    case "ArrowLeft":
                        $('img').animate({left:"-=100px"},500)
                        break;

                    case "z":
                        $('#estrellita').animate({top:"-=400px"},1000);
                        $('#estrellita').animate({top:"+=400px"},700)
                        break;
                }
            })
        })
    </script>
</body>
</html>